require_relative '../lib/skype_check'

#Check for username 'smnplk' and get back json response as a Hash
#This is what you should get 
#{"status"=>406, "status_text"=>"valid", "data"=>{"markup"=>"Skype Name not available", "alternatives"=>true,
#"fieldDetails"=>"<label>Suggestions</label><ul><li><label><input class=\"skypeNameSuggestion\" 
#type=\"radio\" name=\"selectSkypeName\" value=\"smnplk1\"/>smnplk1</label> 
#</li><li><label><input class=\"skypeNameSuggestion\" type=\"radio\" 
#name=\"selectSkypeName\" value=\"smnplk2\"/>smnplk2</label> 
#</li><li><label><input class=\"skypeNameSuggestion\" type=\"radio\" name=\"selectSkypeName\" value=\"smnplk55\"/>smnplk55</label> </li></ul>"}}
begin 
  response = SkypeCheck::Username.query('smnplk')
  puts response
rescue SkypeCheck::QueryError, SkypeCheck::UsernameValidationError => e
  puts e.message
end


begin
  #Check if skype username is taken (meaning user exists)
  user_1 = 'smnplk'
  bool = SkypeCheck::Username.is_taken?(user_1)
  puts "Username #{user_1} is #{bool ? 'taken': 'not taken'}."

  #Check if skype username is available (no user with that name exists)
  user_2 = 'double0071ui'
  bool2 = SkypeCheck::Username.is_available?(user_2)
  puts "Username #{user_2} is #{bool ? 'available': 'not available'}."


rescue SkypeCheck::QueryError, SkypeCheck::UsernameValidationError => e
  puts e.message
 end
