module SkypeCheck
  #wrapper around all possible network and other io exceptions
  class QueryError < StandardError
    attr_reader :source_error, :message

    def initialize(source_error)
      @source_error = source_error
    end

    def message
      "SkypeCheck: Source error type: #{@source_error.class}, source error message: #{@source_error.message}"
    end
  end
end
